Bug 18848 - openssh RPM 10-9-00 dependency problem
openssh RPM 10-9-00 dependency problem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 16:35 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-13 11:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-10 16:35:18 EDT
I attempted to update the openssh package using the update issued on 
10/5/00 (RHBA-2000:076-03). Any order of installation results in an 
unresolvable dependency error. I am working on a clean RH Linux 7.0 
install. 

rpm -qa | grep openssh shows:

openssh-askpass-gnome-2.1.1p4-1
openssh-askpass-2.1.1p4-1
openssh-clients-2.1.1p4-1
openssh-2.1.1p4-1
openssh-server-2.1.1p4-1

rpm -Fvh openssh-2.2.0p1-5.i386.rpm gives me:
error: failed dependencies:
   openssh = 2.1.1p4 is needed by openssh-askpass-2.1.1p4-1
   openssh = 2.1.1p4 is needed by openssh-askpass-gnome-2.1.1p4-1
   openssh = 2.1.1p4 is needed by openssh-clients-2.1.1p4-1
   openssh = 2.1.1p4 is needed by openssh-server-2.1.1p4-1

The other openssh-xxx-2.2.0p1-5 packages all ask for openssh-2.2.0p1-5

I am pretty much a Linux newbie so hopefully I am not wasting your time by 
doing something wrong!

Thanks!

-Rob Hinz
robhinz@home.com
Comment 1 Need Real Name 2000-10-12 04:04:39 EDT
I removed the openssh packages installed under RH 7.0 and then reinstalled the 
updates and everything is seemed to work correctly. -RH
Comment 2 Daniel Roesen 2000-10-13 11:13:36 EDT
do "rpm -Fvh openssh-*" so RPM knows that you want to upgrade ALL openssh 
packages and then there should be now dependency problems as rpm knows that all 
dependencies will be fulfilled after the rpm run.

Note You need to log in before you can comment on or make changes to this bug.